<?
define('PROTECTOR', 1);

$headmod = 'arena';//фикс. места

$textl='Арена';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
              echo'<div class="end" align="center"><img src="pic/arena.jpg"/></div>';


$ref=rand(1000,9999);

switch($_GET[mod]){

default:
echo"<a href=\"arena.php?mod=inv\">Создать бой</a><br/>";
echo"<a href=\"arena.php?r=$ref\">Обновить</a>";
echo"<br/><b>Активные заявки:</b>";
$req = mysql_query("SELECT * FROM `arena_wait` where `enemy`=''");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if(empty($mag[enemy])){
echo"<br/><a href=\"search.php?nick=$mag[usr]&amp;go=go\">$mag[usr]</a> против
 <b>нет противника</b> [<a href=\"arena.php?mod=ok&amp;id=$mag[id]\">принять</a>]";
}
}
echo"<br/><b>Всего заявок: $avto</b>";
}else{
echo"<br/><b>Нет заявок</b>";
}
break;

case 'inv':
if(empty($_POST[start])){
echo '<form action="arena.php?mod=inv" method="post">';
echo "Мин. уровень:<br/>
<select name=\"lvl_ot\">";
$i=0;
while($i<=80){
echo"<option value=\"$i\">$i</option>";
$i++;
}
echo"</select><br/>";
echo "Макс. уровень:<br/>
<select name=\"lvl_do\">";
$i=0;
while($i<=80){
echo"<option value=\"$i\">$i</option>";
$i++;
}
echo"</select><br/>";
echo "Старт через:<br/>
<select name=\"start\">
<option value=\"5\">5 минут</option>
<option value=\"10\">10 минут</option>
<option value=\"15\">15 минут</option>
<option value=\"20\">20 минут</option>
</select><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
if($_POST[lvl_ot]>$_POST[lvl_do]){
echo'Минимальный уровень не может быть больше максимального!';
include($path.'files/down.php');exit;
}
if($inaw==1){
echo'У вас уже есть активная заявка на арене!';
include($path.'files/down.php');exit;
}
$start=$_POST[start];
$_POST[start]=($_POST[start]*60)+time();
mysql_query("INSERT INTO
        arena_wait SET usr='$log',
        lvl_ot='$_POST[lvl_ot]',
        lvl_do='$_POST[lvl_do]',wait='$_POST[start]'");
echo"Бой успешно создан! До начала: $start минут!<br/>";
}
echo"<a href=\"arena.php?\">Назад</a>";
break;
case 'ok':
if($inaw==1){
echo'У вас уже есть активная заявка на арене!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `arena_wait` WHERE `id` = '$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Заявка отсутствует либо была удалена!';
include($path.'files/down.php');exit;
}
$inv = mysql_fetch_array($req);
if($inv[lvl_ot]>$udata[lvl] or $inv[lvl_do]<$udata[lvl]){
echo'Вы неподходите по уровню!';
include($path.'files/down.php');exit;
}
mysql_query("UPDATE `arena_wait` SET `enemy` = '$log' WHERE `id`='$_GET[id]'");
mysql_query("INSERT INTO
        arena_wait SET usr='$log',
        enemy='$inv[usr]',
        lvl_ot='$inv[lvl_ot]',
        lvl_do='$inv[lvl_do]',
        wait='$inv[wait]'");
        
        echo"Вы приняли заявку игрока $inv[usr]!Ждите начала боя!<br/>";
        echo"<a href=\"arena.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>